Bug 1691241 - [marketplace]CSC can't update after the cluster upgrade
Summary: [marketplace]CSC can't update after the cluster upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Kevin Rizza
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 08:45 UTC by Fan Jia
Modified: 2019-06-04 10:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:23 UTC

Comment 5 Kevin Rizza 2019-03-21 23:51:26 UTC
This occurs not just on update, but whenever the marketplace pod restarts because of a cache invalidation issue.

Addressed in https://github.com/operator-framework/operator-marketplace/pull/140

Comment 9 Kevin Rizza 2019-03-22 20:13:49 UTC
Fix for cache miss error was created in this pr and just merged:

https://github.com/operator-framework/operator-marketplace/pull/141

Sorry for the trouble. Thank you!

Comment 10 Fan Jia 2019-03-25 05:23:31 UTC
The latest nightly build doesn't include this pr (https://github.com/operator-framework/operator-marketplace/pull/141), will confirm after the pr is included by nightly build
cv: 4.0.0-0.nightly-2019-03-23-222829
marketplace image:quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ec94d44ba43764301204f925a181e0f6a7a080f8f7b4cdcefa5af3400b832600
marketplace commit:213899cee5dcf37f78522f56196a860be10b1e94

Comment 12 Fan Jia 2019-03-26 06:43:04 UTC
test env:
cv : 4.0.0-0.nightly-2019-03-25-180911
marketplace image:quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c900dea42db87f2284e500d24718cd4d8fb5a4c4255ad26bccd721024b7dc91a
marketplace commit:e274d6b40505e977e12061becf27218f5eb717fb

The sync is stable,all the "installed" CSC can be sync success after the marketplace pod restart. Can edit any installed CSC after the marketplace pod restart.

Comment 14 errata-xmlrpc 2019-06-04 10:46:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.